Subject: Re: [emacs-w3m:10925] emacs-w3m associating filenames anywhere it pleases

From: [email-masked]
Date: Sun, 28 Jun 2009 08:02:10 +0800

Maybe this is an emacs(-version "23.0.95.1") bug?

>>>>> "NA" == Naohiro Aota <[email-masked]> writes:
NA> [email-masked] writes:

>> We discover emacs-w3m associates a filename, here ~/MediaWiki:
>> 
>> MR Name                    Size Mode             Filename/Process
>> -- ----                    ---- ----             ----------------
>> [ Default ]
>> *  *mail*                   252 Message          ~/News/drafts/drafts/1
>> % *BBDB*                   118 BBDB
>> % *Group*                 2202 Group
>> % MediaWiki *w3m*         4343 w3m              ~/MediaWiki
>> 
>> (Seen with
>> C-x C-b runs the command ibuffer-and-update-other-window, which is an
>> interactive compiled Lisp function in `emacs-goodies-loaddefs.el'.
>> 
>> Similar filenames are seen with vanilla
>> C-x C-b runs the command list-buffers)
>> 
>> I feel uncomfortable with emacs-w3m associating filenames like that in
>> whereever the current directory happens to be. At least it could do it
>> in ~/.w3m if indeed it really needs to do so at all (does it plan to
>> write something?)
>> 
>> One time it even tried to do it with a name that wasn't compatible with
>> VFAT, where I happened to be cd'd to, and I got a warning...
>> 
>> $ apt-cache policy w3m-el-snapshot emacs-snapshot-el|grep Inst
>> Installed: 1.4.344+0.20090405-1
>> Installed: 1:20090618-1

NA> I don't know your ibuffer-and-update-other-window, but I believe
NA> emacs-w3m doesn't associate filename. Evaluating both (buffer-file-name)
NA> and buffer-file-name returns nil. Yes, emacs-w3m sets page title to
NA> `list-buffers-directory', but this variable doesn't mean filename.

NA> Regards,